IndexOrUniqueKeySecondPass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class IndexOrUniqueKeySecondPass

    java.lang.Object
      org.hibernate.cfg.IndexOrUniqueKeySecondPass

All Implemented Interfaces:
  Serializable, SecondPass

    public class IndexOrUniqueKeySecondPass

extends Object
implements SecondPass

See Also:
  Serialized Form

Constructor Summary
`IndexOrUniqueKeySecondPass(String indexName, Ejb3Column column, Mappings mappings)` Build an index
`IndexOrUniqueKeySecondPass(String indexName, Ejb3Column column, Mappings mappings, boolean unique)` Build an index if unique is false or a Unique Key if unique is true
`IndexOrUniqueKeySecondPass(Table table, String indexName, String[] columns, Mappings mappings)` Build an index

Method Summary
`void` | `doSecondPass(Map persistentClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexOrUniqueKeySecondPass

    public IndexOrUniqueKeySecondPass(Table table,
                                      String indexName,
                                      String[] columns,
                                      Mappings mappings)

  Build an index

### IndexOrUniqueKeySecondPass

    public IndexOrUniqueKeySecondPass(String indexName,
                                      Ejb3Column column,
                                      Mappings mappings)

  Build an index

### IndexOrUniqueKeySecondPass

    public IndexOrUniqueKeySecondPass(String indexName,
                                      Ejb3Column column,
                                      Mappings mappings,
                                      boolean unique)

  Build an index if unique is false or a Unique Key if unique is true

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Specified by:
    `doSecondPass` in interface `SecondPass`
  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.